DirectModel (Mule ESB 2.2.1 API)
Keywords: org.mule.model.direct.DirectModel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.model.direct
Class DirectModel

    java.lang.Object
      org.mule.model.AbstractModel
          org.mule.model.direct.DirectModel

All Implemented Interfaces:
  MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, Model, NamedObject

    public class DirectModel

extends AbstractModel

Field Summary

Fields inherited from class org.mule.model.AbstractModel
`DEFAULT_MODEL_NAME, logger, muleContext`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`DirectModel()`

Method Summary
`String` | `getType()` Returns the model type name.

Methods inherited from class org.mule.model.AbstractModel
`dispose, getEntryPointResolverSet, getExceptionListener, getLifecycleAdapterFactory, getName, initialise, setEntryPointResolvers, setEntryPointResolverSet, setExceptionListener, setLifecycleAdapterFactory, setMuleContext, setName, start, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DirectModel

    public DirectModel()

Method Detail

### getType

    public String getType()

  Returns the model type name. This is a friendly identifier that is used to look up the SPI class for the model

  Returns:
    the model type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.